package com.its.api.its.model.dto.link;

import com.its.api.its.model.entity.link.TbLinkParaClctSyst;
import lombok.*;

import java.io.Serializable;

public class LinkParaClctSystDto implements Serializable {

    @Getter
    public static class LinkParaClctSystInfo {
        private final Long    LINK_ID;        //	N	NUMBER(10)	N			링크ID
        private final String  CLCT_SYST_CD;   //	N	VARCHAR2(7)	N			수집 시스템 코드
        private final Integer FUSN_PRRT;      //	N	NUMBER(2)	Y	0		퓨전 우선순위
        private final Double  FUSN_WGHT;      //	N	NUMBER(5,2)	Y	0		퓨전 가중치

        public LinkParaClctSystInfo(TbLinkParaClctSyst entity) {
            this.LINK_ID      = entity.getLINK_ID();
            this.CLCT_SYST_CD = entity.getCLCT_SYST_CD();
            this.FUSN_PRRT    = entity.getFUSN_PRRT();
            this.FUSN_WGHT    = entity.getFUSN_WGHT();

        }
    }

    @Getter
    @Setter
    @ToString
    @NoArgsConstructor(access = AccessLevel.PROTECTED)
    public static class LinkParaClctSystUpdateReq {

        private String  CLCT_SYST_CD;   //	N	VARCHAR2(7)	N			수집 시스템 코드
        private Integer FUSN_PRRT;      //	N	NUMBER(2)	Y	0		퓨전 우선순위
        private Double  FUSN_WGHT;      //	N	NUMBER(5,2)	Y	0		퓨전 가중치

        @Builder
        public LinkParaClctSystUpdateReq(String CLCT_SYST_CD, Integer FUSN_PRRT, Double FUSN_WGHT) {
            this.CLCT_SYST_CD = CLCT_SYST_CD;
            this.FUSN_PRRT = FUSN_PRRT;
            this.FUSN_WGHT = FUSN_WGHT;
        }
    }

}
